# Uses of Interface
java.security.cert.Extension

Packages that use Extension
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of Extension in java.security.cert

Methods in java.security.cert that return types with arguments of type Extension
Modifier and Type
Method
Description
`Map<String, Extension>`
CertificateRevokedException.`getExtensions()`
Returns a map of X.509 extensions containing additional information about the revoked certificate, such as the Invalidity Date Extension.
`List<Extension>`
PKIXRevocationChecker.`getOcspExtensions()`
Gets the optional OCSP request extensions.
Method parameters in java.security.cert with type arguments of type Extension
Modifier and Type
Method
Description
`void`
PKIXRevocationChecker.`setOcspExtensions(List<Extension> extensions)`
Sets the optional OCSP request extensions.
Constructor parameters in java.security.cert with type arguments of type Extension
Modifier
Constructor
Description
``
`CertificateRevokedException(Date revocationDate, CRLReason reason, X500Principal authority, Map<String, Extension> extensions)`
Constructs a `CertificateRevokedException` with the specified revocation date, reason code, authority name, and map of extensions.